import click

from ankimaker.commands import cli
from ankimaker.tasks.epub_to_anki import process_epub


@cli.command('epub')
@click.option('-i', '--input', 'input_file', type=click.Path(exists=True))
@click.option('-o', '--output', 'output_file', type=click.Path(exists=False))
@click.option('-l', '--lang', 'language', default=None, type=click.STRING)
@click.option('-n', '--name', 'name', required=False, type=click.STRING)
def generate_anki(input_file, output_file, language, name):
    process_epub(input_file=input_file, output_file=output_file, language=language, deck_name=name)
