import click
from ankimaker.commands import cli
from ankimaker import tasks, utils


_YAML = ['yml', 'yaml']
_CSV = ['csv']


@cli.command('make-csv-config')
@click.option('-i', '--input', 'input_file', type=click.Path(exists=True))
@click.option('-o', '--output', 'output_path', type=click.Path(exists=False))
def make_csv_config(
    input_file, output_path
):
    """
    Menu for creating a config file.

    :param input_file: filepath of the csv used as sample to create configuration
    :param output_path:  filepath where configuration will be saved
    """

    filetype = utils.files.get_fyle_type(input_file)
    if filetype in _CSV:
        tasks.config_tasks.create_config(input_file, output_path)
    elif filetype in _YAML:
        tasks.config_tasks.enhance_config(input_file)
    else:
        click.echo('Wrong File Type. Should be CSV or YAML.')


