from ankimaker import generator

from ankimaker.tasks import epub
from ankimaker.tasks import dictionary


def create_collection_and_filter_out_on_empty_definitions(words_from_epub, definitions):
    collection = [(words, defi) for words, defi in zip(words_from_epub, definitions) if defi is not None]
    return collection


def process_epub(input_file, output_file, language, deck_name):
    words_from_epub = epub.generate_corpus_from_epub_file(input_file)
    definitions = dictionary.get_word_definitions_from_dictionary(language, words_from_epub)
    collection = create_collection_and_filter_out_on_empty_definitions(words_from_epub, definitions)
    generator_engine = generator.QuestionAnswerGenerator()

    deck = generator.deck.create_deck(deck_name)

    words_from_epub, definitions = map(list, zip(*collection))
    cards = generator_engine.get_cards(words_from_epub, definitions)
    for card in cards:
        deck.add_note(card)
    generator.deck.save_deck(deck, output_file)
